Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>	

Summary:	Python framework to participate in digital living networks
Name:		python26-coherence
Version:	0.6.2
Release:	2
BuildArch:	i686
License:	MIT
URL:		https://coherence.beebits.net/
Group:		Development/Languages

Source0:	Coherence-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

BuildRequires:	python26-devel
BuildRequires:	python26-setuptools

Obsoletes:	python-Coherence <= %{version}-%{release}
Provides:	python-Coherence = %{version}-%{release}

%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%description
Coherence is a framework written in Python enabling applications to participate
in digital living networks, such as the UPnP universe.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n Coherence-%{version}

%build
/usr/bin/python%{PYVER} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
/usr/bin/python%{PYVER} setup.py install --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENCE README docs/*
%_bindir
%{python_sitelib}

%changelog
* Wed Nov 18 2009 Christian Metzen <metzench@ccux-linux.de> 0.6.2-2
- python 2.6
* Mon May 11 2009 Christian Wasem <wasem@ccux-linux.de> 0.6.2-1
- Version update, build with explicit /usr/bin/python2.5
* Sat Mar 22 2008 Christian Wasem <wasem@ccux-linux.de> 0.5.0-1
- initial release